Activate subscription
PATCH
/api/companies/subscription/activate/{countryCode}/{organizationNumber}
Code sample: Shell / cURL
curl --request PATCH \ --url https://api.ztlpay.io/api/companies/subscription/activate/NO/example \ --header 'Authorization: Bearer <token>'Activate the subscription for the given company
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”countryCode
required
string
Example
NOorganizationNumber
required
string
Responses
Section titled “Responses”Successfully activated subscription
Request is not valid
Media typeapplication/json
object
type
Type of error, used to group similar errors
string format: uri
title
required
The title of the error
string
detail
Detailed information of the error cause
string
instance
Endpoint that caused the failure request
string
traceId
ID to identify the failure request
string
Example
{ "type": "urn:quote-failed", "title": "Payment rejected", "detail": null, "instance": "/api/payments/56563af2-a199-44ec-92a1-d77eed2d8562/status"}Forbidden
Media typeapplication/json
object
type
Type of error, used to group similar errors
string format: uri
title
required
The title of the error
string
detail
Detailed information of the error cause
string
instance
Endpoint that caused the failure request
string
traceId
ID to identify the failure request
string
Example
{ "type": "urn:quote-failed", "title": "Payment rejected", "detail": null, "instance": "/api/payments/56563af2-a199-44ec-92a1-d77eed2d8562/status"}